################################################################################
#
# FIESscript
#
# textLog.py
#
# Last update 20/05/2008
#
################################################################################

# Create subroutines that can replace the standard behavior of messageLog,
# sending the output to stdout instead.

import sys
from time import strftime
import logging

logger = logging.getLogger('mylogsystem2')
fh = logging.FileHandler('textlog.log')
fh.setLevel(logging.INFO)
formatter = logging.Formatter("%(asctime)s;%(levelname)s;%(message)s")
fh.setFormatter(formatter)
logger.addHandler(fh)

# Default loglevel
loglevel = 5


# Writes the standard message to log file
def put(message, level=0, errorflag=0):

  if errorflag == 1:
    sepstring='- ERROR:'
  elif errorflag > 1:
    sepstring='- warning:'
  else:
    sepstring='-'

  # Create a text string to be displayed in the box
  # strftime() gives a nicely formatted time stamp
  textstring = "%s (%i) %s %s\n" % (strftime('%H:%M:%S'), level, sepstring, message)

  if level <= loglevel:
    logger.info(message)
  #  sys.stdout.flush()


# Shortcut for generating an error
def put_error(message, loglevel=0, errorflag=1):
  logger.error(message)


# Shortcut for generating a warning
def put_warning(message, loglevel=0, errorflag=2):
  logger.warning(message)

